Bug 1463788 - Cant select content view on host group page
Cant select content view on host group page
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Partha Aji
orabin
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 14:38 EDT by Perry Gagne
Modified: 2017-08-15 16:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Gagne 2017-06-21 14:38:11 EDT
Description of problem: Cant select content view on host group page. 


Version-Release number of selected component (if applicable): 6.3.0 snap 3 


How reproducible: always


Steps to Reproduce:
1. Create Content view
2. Create host group, select Library
3. Select content view

Actual results: No content views listed 


Expected results: List all content views in Library 


Additional info: Error in java script console:

```
host_and_hostgroup_edit-5858c30d7573172df3584cf5c792d5990c05d5d46d8541c8f5c56d6fdfd28de1.js:1 Uncaught TypeError: Cannot read property 'registerPluginAttributes' of undefined
    at HTMLDocument.<anonymous> (host_and_hostgroup_edit-5858c30d7573172df3584cf5c792d5990c05d5d46d8541c8f5c56d6fdfd28de1.js:1)
    at HTMLDocument.dispatch (bundle-24bc1384a85d4a1fb955.js:35)
    at HTMLDocument.m.handle (bundle-24bc1384a85d4a1fb955.js:34)
    at Object.trigger (bundle-24bc1384a85d4a1fb955.js:35)
    at HTMLDocument.<anonymous> (bundle-24bc1384a85d4a1fb955.js:35)
    at Function.each (bundle-24bc1384a85d4a1fb955.js:24)
    at ce.fn.init.each (bundle-24bc1384a85d4a1fb955.js:24)
    at ce.fn.init.trigger (bundle-24bc1384a85d4a1fb955.js:35)
    at application-c6b04a2ba9c24fcf301845eb0f6fe153c332128d430190fe7a9881b0f3e24dd9.js:320
    at HTMLDocument.<anonymous> (application-c6b04a2ba9c24fcf301845eb0f6fe153c332128d430190fe7a9881b0f3e24dd9.js:13)
```
Comment 2 Partha Aji 2017-06-21 15:51:26 EDT
Created redmine issue http://projects.theforeman.org/issues/20076 from this bug
Comment 3 orabin 2017-08-02 04:24:04 EDT
Verified.
Version Tested: Satellite-6.3 Snap 9

Followed steps to reproduce and was able to select the content view and save the hostgroup with no errors in the console.

Note You need to log in before you can comment on or make changes to this bug.